# Interface StyleDefaultsDataMarkerDefaults

#### Hierarchy

- StyleDefaultsDataMarkerDefaults

#####
Index

### Properties

borderColor
borderStyle
borderWidth
color
height
labelStyle
opacity
shape
width

## Properties

### borderColor

borderColor: string

The border color.

### borderStyle

borderStyle: string

The border style.

### borderWidth

borderWidth: number

The border width in pixels.

### color

color: string

The fill color of a marker.

### height

height: number

The default marker pixel height.

### labelStyle

labelStyle: object

The CSS style object defining the style of the marker label.

### opacity

opacity: number

The default marker opacity.

### shape

shape: string

The default marker shape. Can take the name of a built-in shape or the SVG path commands for a custom shape.

### width

width: number

The default marker pixel width.

Generated using TypeDoc